ndiswrapper_1.60-8_amd64.deb


Advertisement

Description

ndiswrapper - Userspace utilities for the ndiswrapper Linux kernel module

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename ndiswrapper_1.60-8_amd64.deb
Package name ndiswrapper
Package version 1.60
Package release 8
Package architecture amd64
Package type deb
Category universe/misc
Homepage http://ndiswrapper.sourceforge.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 19.96 KB
Installed size 78.00 KB
Some vendors do not release specifications of the hardware or provide a
Linux driver for their wireless network cards. This project implements
Windows kernel API and NDIS (Network Driver Interface Specification) API
within Linux kernel. A Windows driver for wireless network card is then
linked to this implementation so that the driver runs natively, as though
it is in Windows, without binary emulation.
This package contains the userspace tools. You will also need the kernel
module package.

Alternatives

Package Version Architecture Repository
ndiswrapper_1.60-8_i386.deb 1.60 i386 Ubuntu Universe
ndiswrapper - - -

Requires

Name Value
libc6 >= 2.14
perl:any -

Provides

Name Value
ndiswrapper-common -
ndiswrapper-utils-1.9 -

Replaces

Name Value
ndiswrapper-common << 1.59-4~
ndiswrapper-utils-1.9 << 1.59-4~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package ndiswrapper_1.60-8_amd64.deb
Source Package ndiswrapper

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ndiswrapper deb package:
    # sudo apt-get install ndiswrapper

Files

Path
/sbin/loadndisdriver
/usr/sbin/ndiswrapper
/usr/sbin/ndiswrapper-buginfo
/usr/share/doc/ndiswrapper/changelog.Debian.gz
/usr/share/doc/ndiswrapper/copyright
/usr/share/man/man8/loadndisdriver.8.gz
/usr/share/man/man8/ndiswrapper.8.gz

Changelog

2019-01-26 - Julian Andres Klode <jak@debian.org>
ndiswrapper (1.60-8) unstable; urgency=medium
* debian/rules: Pass --sort=name to tar for reproducible build
2019-01-25 - Julian Andres Klode <jak@debian.org>
ndiswrapper (1.60-7) unstable; urgency=medium
* Add support for kernel 5.0 (LP: #1813063)
* Point Vcs info to salsa
* Bump Standards-Version to 4.3.0
2018-01-10 - Julian Andres Klode <jak@debian.org>
ndiswrapper (1.60-6) unstable; urgency=medium
[ Seth Forshee ]
* Build fixes for 4.15 (LP: #1737749)
2017-11-05 - Julian Andres Klode <jak@debian.org>
ndiswrapper (1.60-5) unstable; urgency=medium
[ Seth Forshee ]
* Build fix for 4.13 (LP: #1706430)
[ Julian Andres Klode ]
* Drop transitional ndiswrapper-utils-1.9 package
* Bump Standards-Version to 4.1.1
2017-06-09 - Julian Andres Klode <jak@debian.org>
ndiswrapper (1.60-4) experimental; urgency=medium
[ Seth Forshee ]
* Build fixes for Linux 4.11 (LP: #1691838)
2016-09-22 - Julian Andres Klode <jak@debian.org>
ndiswrapper (1.60-3) unstable; urgency=medium
* Use netif_trans_update() for kernels >= 4.7 (Closes: #837329) (LP: #1625089)
2016-06-30 - Julian Andres Klode <jak@debian.org>
ndiswrapper (1.60-2) unstable; urgency=medium
[ Julian Andres Klode ]
* Fix FTBFS of userspace stuff by not using kernel variables
* Build with full hardening enabled
[ Reiner Herrmann ]
* make the build reproducible (Closes: #803583)
2016-06-30 - Julian Andres Klode <jak@debian.org>
ndiswrapper (1.60-1) unstable; urgency=medium
* Imported Upstream version 1.60
* Drop kernel 3.14-4.2 support patches, fixed upstream
* Bump Standards-Version to 3.9.8
* Switch Vcs URIs to the safe https ones
* Fix copyright file format
2015-08-13 - Julian Andres Klode <jak@debian.org>
ndiswrapper (1.59-6) unstable; urgency=medium
* Add support for Kernel 4.2.
Thanks to Tim Gardner at Canonical
2015-05-18 - Julian Andres Klode <jak@debian.org>
ndiswrapper (1.59-5) unstable; urgency=medium
* ndiswrapper: postrm: Fix test for /etc/ndiswrapper existence
* ndiswrapper: postrm: Delete /etc/modprobe.d/ndiswrapper.conf on purge
(LP: #712120)

See Also

Package Description
ndpmon_1.4.0-2.1build1_amd64.deb IPv6 Neighbor Discovery Protocol Monitor
ndppd_0.2.5-4_amd64.deb daemon that proxies IPv6 NDP messages
ndtpd_1.0.dfsg.1-4.3build1_amd64.deb the Network Dictionary Transfer Protocol server
ne-doc_3.1.2-1_all.deb documentation for the ne text editor
ne_3.1.2-1_amd64.deb easy-to-use and powerful text editor
neard-dev_0.16-0.1_amd64.deb neard development files
neard-tools_0.16-0.1_amd64.deb neard command-line tools
neard_0.16-0.1_amd64.deb Near Field Communication (NFC) management daemon
neat_2.2-1_amd64.deb Nebular Empirical Analysis Tool
nec2c_1.3-3_amd64.deb Translation of the NEC2 FORTRAN source code to the C language
nedit_5.7-2_amd64.deb powerful, customizable, Motif based text editor
needrestart-session_0.3-6_all.deb check for processes need to be restarted in user sessions
needrestart_3.4-1_all.deb check which daemons need to be restarted after library upgrades
neko-dev_2.2.0-2build2_amd64.deb Lightweight virtual machine - headers
neko_2.2.0-2build2_amd64.deb Lightweight virtual machine - compiler and tools
Advertisement
Advertisement